Bug 204224 - science/mcstas-comps: Update to 2.2a
Summary: science/mcstas-comps: Update to 2.2a
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: patch
Depends on: 204223
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 13:34 UTC by Erik B Knudsen
Modified: 2015-11-12 02:38 UTC (History)
1 user (show)

See Also:


Attachments
science/mcstas-comps version upgrade and port optimization (39.88 KB, patch)
2015-11-02 13:34 UTC, Erik B Knudsen
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik B Knudsen 2015-11-02 13:34:27 UTC
Created attachment 162706 [details]
science/mcstas-comps version upgrade and port optimization

science/mcstas-comps upgrade to latest version 2.2a

Simplicfication of the makefile and upgrade to McStas version 2.2a
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-02 15:48:50 UTC
Thanks Erik. If this issue/change depends on bug 204223, please set that in the "Depends On" field
Comment 2 Erik B Knudsen 2015-11-03 08:30:42 UTC
(In reply to Kubilay Kocak from comment #1)
Dear Kubilay,
Ok. I'll keep that in mind - I'm still new to this.
Comment 3 commit-hook freebsd_committer 2015-11-12 02:30:30 UTC
A commit references this bug:

Author: junovitch
Date: Thu Nov 12 02:30:00 UTC 2015
New revision: 401313
URL: https://svnweb.freebsd.org/changeset/ports/401313

Log:
  science/mcstats[-comps]: update 2.1 -> 2.2a

  - Update PORTVERSION and distinfo to 2.2a
  - Simplify DISTNAME/DISTFILES/MASTER_SITES/WRKSRC handling
  - Clean up language in COMMENT (mcstas-comps only)
  - Use PORTVERSION in PLIST_SUB and %%PORTVERSION%% in pkg-plist as
    as port installs self-contained under ${PREFIX}/mcstas/${PORTVERSION}
  - Add pkg-install/pkg-install to SUB_FILES and rename appropriately
  - Use PREFIX in pkg-install.in/pkg-deinstall.in
  - Remove the post-fetch routines
  - Switch unnecessary bsd.port.(pre|post).mk include to just bsd.port.mk
  - Sync pkg-descr verbiage between ports and wrap at 76 characters

  PR:		204223
  PR:		204224
  Submitted by:	Erik B Knudsen <erkn@fysik.dtu.dk> (maintainer)

Changes:
  head/science/mcstas/Makefile
  head/science/mcstas/distinfo
  head/science/mcstas/files/
  head/science/mcstas/files/pkg-deinstall.in
  head/science/mcstas/files/pkg-install.in
  head/science/mcstas/pkg-deinstall
  head/science/mcstas/pkg-descr
  head/science/mcstas/pkg-install
  head/science/mcstas/pkg-plist
  head/science/mcstas-comps/Makefile
  head/science/mcstas-comps/distinfo
  head/science/mcstas-comps/pkg-descr
  head/science/mcstas-comps/pkg-plist
Comment 4 Jason Unovitch freebsd_committer 2015-11-12 02:38:31 UTC
See bug 204223 comment 2 for detailed comments on the version committed. Thanks for the submission and maintaining this port for us!